<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="stlText" nsURI="http://www.eclipse.org/papyrus/robotics/STLText"
    nsPrefix="stlText">
  <eClassifiers xsi:type="ecore:EClass" name="assignments">
    <eStructuralFeatures xsi:type="ecore:EReference" name="assignments" upperBound="-1"
        eType="#//assignment" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="assignment">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="id" eType="ecore:EDataType platform:/resource/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="expr" eType="#//expression"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="expression">
    <eStructuralFeatures xsi:type="ecore:EReference" name="first" eType="#//expression_start"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ec" eType="#//expression_cont"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="expression_start">
    <eStructuralFeatures xsi:type="ecore:EReference" name="r" eType="#//real_expression"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="e1" eType="#//real_expression"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="e2" eType="#//real_expression"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="expression_cont">
    <eStructuralFeatures xsi:type="ecore:EReference" name="i" eType="#//interval"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="e" eType="ecore:EClass platform:/resource/org.eclipse.emf.ecore/model/Ecore.ecore#//EObject"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="real_expression">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="id" eType="ecore:EDataType platform:/resource/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="lit" eType="#//num_literal"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exp" eType="#//real_expression"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exp1" eType="#//real_expression"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exp2" eType="#//real_expression"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="real_expression_nl">
    <eStructuralFeatures xsi:type="ecore:EReference" name="exp" eType="#//real_expression"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="num_literal" eSuperTypes="#//intervalTime">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="ilit" eType="ecore:EDataType platform:/resource/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="rlit" eType="ecore:EDataType platform:/resource/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="lit" eType="#//num_literal"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="interval">
    <eStructuralFeatures xsi:type="ecore:EReference" name="time1" eType="#//intervalTime"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="time2" eType="#//intervalTime"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="intervalTime"/>
</ecore:EPackage>
